<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
 <%@ page session = "true" %>

<% request.setCharacterEncoding("utf-8");%>
<% 
   String id = request.getParameter("id");
   String passwd= request.getParameter("password");
   String sql="";
   String delsql="";
   
   ResultSet rs=null;
   String str="";
   
   try{
	 
	   Class.forName("oracle.jdbc.driver.OracleDriver");
	   Connection  conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20162510","950505");
	   sql="select id from o_member where id=?";
	   PreparedStatement pstmt=conn.prepareStatement(sql);
	   pstmt.setString(1, id);
	   rs=pstmt.executeQuery();
	  	    
		if(rs.next()){
			String rid=rs.getString("id");
			 
			if(id.equals(rid)){
				delsql="delete from o_member where id=?";  // sql DELETE: DELETE FROM 테이블명 WHERE 삭제조건
				pstmt=conn.prepareStatement(delsql);
				pstmt.setString(1,id);
				pstmt.executeUpdate();
				
			}
		}
		rs.close();
		pstmt.close();
		conn.close();  
		session.invalidate();
	 	 
 	 str= "회원 탈퇴되었습니다 안녕히 가세요~";
 	}catch(Exception e){ 
 		e.printStackTrace();
 		str="회원 탈퇴에 실패하였습니다. 다시 확인해주세요";
	
 	}
 %>
<html>
<head>
<title>레코드 추가</title>
</head>
<body bgcolor="#CEF279" style="text-align : center;">
  <%=str %>  <p>
  
 <A href="main.jsp">홈으로 </A>
  
</body>
</html>